# Deprecated API

## Contents

- Methods

Methods
com.google.protobuf.CodedInputStream.readUnknownGroup​(int, MessageLite.Builder): UnknownFieldSet.Builder now implements MessageLite.Builder, so you can just call `CodedInputStream.readGroup(int, com.google.protobuf.MessageLite.Builder, com.google.protobuf.ExtensionRegistryLite)`.
com.google.protobuf.CodedOutputStream.computeUnknownGroupSize​(int, MessageLite): UnknownFieldSet now implements MessageLite, so you can just call `CodedOutputStream.computeGroupSize(int, com.google.protobuf.MessageLite)`.
com.google.protobuf.CodedOutputStream.computeUnknownGroupSizeNoTag​(MessageLite): UnknownFieldSet now implements MessageLite, so you can just call `CodedOutputStream.computeUnknownGroupSizeNoTag(com.google.protobuf.MessageLite)`.
com.google.protobuf.CodedOutputStream.writeUnknownGroup​(int, MessageLite): UnknownFieldSet now implements MessageLite, so you can just call `CodedOutputStream.writeGroup(int, com.google.protobuf.MessageLite)`.
com.google.protobuf.CodedOutputStream.writeUnknownGroupNoTag​(MessageLite): UnknownFieldSet now implements MessageLite, so you can just call `CodedOutputStream.writeGroupNoTag(com.google.protobuf.MessageLite)`.